/*
 * This file is part of Applied Energistics 2.
 * Copyright (c) 2013 - 2015, AlgorithmX2, All rights reserved.
 *
 * Applied Energistics 2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Applied Energistics 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Applied Energistics 2.  If not, see <http://www.gnu.org/licenses/lgpl>.
 */

package appeng.core.worlddata;


import java.io.File;

import javax.annotation.Nonnull;

import com.google.common.base.Preconditions;

import appeng.services.CompassService;


/**
 * @author thatsIch
 * @version rv3 - 30.05.2015
 * @since rv3 30.05.2015
 */
final class CompassData implements IWorldCompassData, IOnWorldStoppable
{
	@Nonnull
	private final CompassService service;

	public CompassData( @Nonnull final File compassDirectory, @Nonnull final CompassService service )
	{
		Preconditions.checkNotNull( compassDirectory );
		Preconditions.checkNotNull( service );

		this.service = service;
	}

	@Override
	public CompassService service()
	{
		return this.service;
	}

	@Override
	public void onWorldStop()
	{
		this.service.kill();
	}
}
